from aiohttp import web

from implementation.storage.OpenstackSnapshotsManager import OpenstackSnapshotManager


class SnapshotsController:

    snapshot_manager = None

    @staticmethod
    def init(app, openstack):
        SnapshotsController.snapshot_manager = OpenstackSnapshotManager(openstack)

        SnapshotsController.add_routes(app)

    @staticmethod
    def add_routes(app):
        app.add_routes([
            web.get('/snapshots', SnapshotsController.list),
            web.post('/snapshots/create/{storage}', SnapshotsController.create),
            web.get('/snapshots/{snapshot}', SnapshotsController.show),
            web.delete('/snapshots/{snapshot}/delete', SnapshotsController.delete)
        ])

    @staticmethod
    async def create(request):
        return web.Response(text='Create')

    @staticmethod
    async def list(request):
        snapshots = SnapshotsController.snapshot_manager.list()

        return web.Response(text='List')

    @staticmethod
    async def show(request):
        return web.Response(text='Show')

    @staticmethod
    async def delete(request):
        return web.Response(text='Delete')
