from aiohttp import web

from implementation.storage.OpenstackStorageManager import OpenstackStorageManager


class StoragesController:

    storage_manager = None

    @staticmethod
    def init(app, os):
        StoragesController.storage_manager = OpenstackStorageManager(os)

        StoragesController.add_routes(app)

    @staticmethod
    def add_routes(app):
        app.add_routes([
            web.get('/storages', StoragesController.list),
            web.post('/storages/create', StoragesController.create),
            web.get('/storages/{storage}', StoragesController.show),
            web.delete('/storages/{storage}/delete', StoragesController.delete)
        ])

    @staticmethod
    async def create(request):
        return web.Response(text='Create')

    @staticmethod
    async def list(request):
        volumes = StoragesController.storage_manager.list()

        print(volumes)

        return web.Response(text='List')

    @staticmethod
    async def show(request):
        return web.Response(text='Show')

    @staticmethod
    async def delete(request):
        return web.Response(text='Delete')
