from aiohttp import web
import openstack

from controllers.SnapshotsController import SnapshotsController
from controllers.StoragesController import StoragesController
from controllers.ImagesController import ImagesController

CLOUD = 'devstack-admin'


def main():
    app = web.Application()

    os = openstack.connect(cloud=CLOUD)

    StoragesController.init(app, CLOUD)
    SnapshotsController.init(app, CLOUD)

    web.run_app(app)


if __name__ == "__main__":
    main()
